---
title: msGetRegionContent
slug: Web/API/msGetRegionContent
tags:
  - msGetRegionContent
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>msGetRegionContent</strong></code> returns an array of Range instances corresponding to the content from the region flow that is positioned in the region.</p>

<p>This proprietary method is specific to Internet Explorer browser.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="brush: js">var retVal = Element.msGetRegionContent();
</pre>


<h3 id="Parameters">Parameters</h3>

<p><strong>retVal</strong> [out, reval]</p>

<p>Type: <em>MSRangeCollection</em></p>

<p>The name of the property to enable.</p>

<h3 id="Return_value">Return value</h3>

<p>Type: <em>Boolean</em></p>

<p>Returned ranges are sorted by document position and do not overlap. If an element is not a region, this method throws a <code>DOMException</code> with the <code>InvalidAccessError</code> error code. This is only available to regions that are document elements and not to regions that are pseudo-elements.</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
